Subject: [bug#66879] [PATCH] gnu: josm: Update to 18822.

From: Julien Lepiller <[email-masked]>
Date: Wed, 1 Nov 2023 13:53:38 +0100

Hi Guix!

This small patch series updates josm to the latest version.  Some
issues I stumbled upon:

josm now uses a different library for json parsing, which is added in
the series. This library uses Java modules (introduced with java 9), so
I had to fix the build system to allow modules, but not by default
since we still use the old java 8 by default.

Then, it built, but it had troubles validating SSL certificates at
runtime, which is fixed in the series by using a similar phase to the
one in icedtea to generate a key store from nss-certs. I managed to
build a few JDK versions after OpenJDK 11, but I'll let CI tell us if
I broke anything :)